Summary:        System administration tools for monitoring users' disk usage
Name:           quota
Version:        4.01
Release:        %mkrel 2
License:        BSD and GPLv2+
Group:          System/Configuration
URL:            http://sourceforge.net/projects/linuxquota/
Source0:        http://prdownloads.sourceforge.net/linuxquota/%{name}-%{version}.tar.gz
Source1:        quota_nld.service
Source2:        quota_nld.sysconfig
Patch0:         quota-4.01-warnquota.patch
Patch1:         quota-3.06-man-page.patch
Patch2:         quota-3.06-pie.patch
Patch3:         quota-3.13-wrong-ports.patch
Patch4:         quota-4.01-Make-group-warning-message-more-official.patch
Patch5:         quota-4.01-define_charset_in_mail.patch
Patch6:         quota-4.01-Do-not-fiddle-with-quota-files-on-XFS-and-GFS.patch
Patch7:         quota-4.01-quotacheck-Make-sure-d-provides-at-least-as-much-inf.patch
Patch8:         quota-4.01-Add-quotasync-1-manual-page.patch
Patch9:         quota-4.01-Complete-quotasync-usage.patch
Patch10:        quota-4.01-Correct-quotasync-exit-code.patch
Patch11:        quota-4.01-Fix-various-usage-mistakes.patch
Patch12:        quota-4.01-Recognize-units-at-block-limits-by-setquota.patch
Patch13:        quota-4.01-Recognize-block-limit-units-on-setquota-standard-inp.patch
Patch14:        quota-4.01-Recognize-units-at-block-limits-by-edquota.patch
Patch15:        quota-4.01-Recognize-units-at-inode-limits-by-setquota.patch
Patch16:        quota-4.01-Recognize-units-at-inode-limits-by-edquota.patch
Patch17:        quota-4.01-Close-FILE-handles-on-error.patch
Patch50:        quota-tools-default-conf.patch
Patch51:        quota-4.01-libtirpc.patch
BuildRequires:	autoconf
BuildRequires:  e2fsprogs-devel
BuildRequires:  gettext
BuildRequires:  tcp_wrappers-devel
BuildRequires:  openldap-devel
BuildRequires:  dbus-devel
BuildRequires:  libnl-devel
BuildRequires:  tirpc-devel
Requires:       e2fsprogs
Requires:       initscripts >= 6.38
Requires:       tcp_wrappers

%description
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.

%package        nld
Summary:        quota_nld daemon
Group:          System/Configuration
Requires:       quota = %{version}-%{release}

%description    nld
Daemon that listens on netlink socket and processes received quota warnings.
Note, that you have to enable the kernel support for sending quota messages
over netlink (in Filesystems->Quota menu). The daemon supports forwarding
warning messages to the system D-Bus (so that desktop manager can display
a dialog) and writing them to the terminal user has last accessed.


%package        warnquota
Summary:        Send e-mail to users over quota
Group:          System/Configuration
Requires:       quota = %{version}-%{release}

%description    warnquota
Utility that checks disk quota for each local file system and mails a warning
message to those users who have reached their soft limit.  It is typically run
via cron(8).


%package        devel
Summary:        Development files for quota
Group:          System/Configuration
Requires:       quota = %{version}-%{release}

%description    devel
The quota package contains system administration tools for monitoring
and limiting user and or group disk usage per file system.

This package contains development header files for implementing quotas
on remote machines.


%package        doc
Summary:        Additional documentation for disk quotas
Group:          Documentation
Requires:       quota = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains additional documentation for disk quotas concept in
Linux/UNIX environment.

%prep
%setup -q -n quota-tools
%apply_patches

#fix typos/mistakes in localized documentation
for pofile in $(find ./po/*.p*)
do
   sed -i 's/editting/editing/' "$pofile"
done

# Fix for perm bug #3053
chmod 755 ldap-scripts/setquota-ldap.pl

%build
%serverbuild

autoreconf -fi

%configure2_5x \
    --enable-ext2direct=yes \
    --enable-ldapmail=yes \
    --enable-netlink=yes \
    --enable-rootsbin=yes \
    --enable-rpcsetquota=yes \
    --enable-strip-binaries=no 

%make

%install
install -d %{buildroot}%{_sysconfdir}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/{man1,man2,man3,man8}

make install ROOTDIR=%{buildroot} \
             DEF_BIN_MODE=755 \
             DEF_SBIN_MODE=755 \
             DEF_MAN_MODE=644 \
             STRIP=""

install -m0644 warnquota.conf %{buildroot}%{_sysconfdir}

ln -s  quotaon.8.* \
  %{buildroot}%{_mandir}/man8/quotaoff.8
ln -s rquotad.8.* \
   %{buildroot}%{_mandir}/man8/rpc.rquotad.8

install -p -m644 -D %{SOURCE1} %{buildroot}%{_unitdir}/quota_nld.service
install -p -m644 -D %{SOURCE2} \
    %{buildroot}%{_sysconfdir}/sysconfig/quota_nld

# we don't support XFS yet
rm -f %{buildroot}%{_sbindir}/quot
rm -f %{buildroot}%{_sbindir}/xqmstats
rm -f %{buildroot}%{_mandir}/man8/quot.*
rm -f %{buildroot}%{_mandir}/man8/xqmstats.*

%find_lang %{name}

%post nld
%_post_service quota_nld

%preun nld
%_preun_service quota_nld

%files -f %{name}.lang
%doc Changelog
/sbin/*
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%exclude %{_sbindir}/quota_nld
%exclude %{_sbindir}/warnquota
%exclude %{_mandir}/man8/quota_nld.8*
%exclude %{_mandir}/man8/warnquota.8*

%files nld
%config(noreplace) %{_sysconfdir}/sysconfig/quota_nld
%{_unitdir}/quota_nld.service
%{_sbindir}/quota_nld
%{_mandir}/man8/quota_nld.8*

%files warnquota
%config(noreplace) %{_sysconfdir}/warnquota.conf
%config(noreplace) %{_sysconfdir}/quotagrpadmins
%config(noreplace) %{_sysconfdir}/quotatab
%{_sbindir}/warnquota
%{_mandir}/man8/warnquota.8*
%doc README.ldap-support README.mailserver

%files devel
%dir %{_includedir}/rpcsvc
%{_includedir}/rpcsvc/*
%{_mandir}/man3/*

%files doc
%doc doc/* ldap-scripts


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.01-2.mga4
+ Revision: 532653
- Mageia 4 Mass Rebuild

* Wed Aug 21 2013 luigiwalser <luigiwalser> 4.01-1.mga4
+ Revision: 469163
- 4.01 (sync with fedora)
- add libtirpc patch from omdv

* Wed Jan 23 2013 fwang <fwang> 3.17-10.mga3
+ Revision: 391517
- disable root sbin
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 3.17-9.mga3
+ Revision: 380123
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 30 2012 luigiwalser <luigiwalser> 3.17-8.mga3
+ Revision: 285908
- call autoheader/aclocal/autoconf (needed for patch 7)
- add patch from opensuse to fix CVE-2012-3417

* Fri Apr 20 2012 barjac <barjac> 3.17-7.mga2
+ Revision: 232036
- fixed bug 3053 doc file permissions
- cleaned spec

* Sun Jan 23 2011 ennael <ennael> 3.17-6.mga1
+ Revision: 33381
- imported package quota


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 3.17-6mdv2011.0
+ Revision: 607266
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.17-4mdv2010.1
+ Revision: 520206
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.17-3mdv2010.0
+ Revision: 426841
- rebuild

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.17-2mdv2009.1
+ Revision: 337607
- new release
- sync patch set with fedora
- keep bash completion in its own package
- rediff patch 1 (stripping)
- drop partches 5, 7 and 10, merged upstream

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 3.16-4mdv2009.1
+ Revision: 317559
- sync with quota-3.16-8.fc11.src.rpm

* Thu Sep 11 2008 Oden Eriksson <oeriksson@mandriva.com> 3.16-3mdv2009.0
+ Revision: 283788
- sync with quota-3.16-4.fc10.src.rpm

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 3.16-2mdv2009.0
+ Revision: 265615
- rebuild early 2009.0 package (before pixel changes)

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.16-1mdv2009.0
+ Revision: 194365
- new version
  drop patch 5 (merged upstream)
  drop patch 1 (makefile arg is enough)

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 3.15-1mdv2008.1
+ Revision: 180933
- sync with fc9

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.14-3mdv2008.1
+ Revision: 152810
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sun Jan 14 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.14-2mdv2007.0
+ Revision: 108839
- spec cleanup
- drop unused patches
- add bash completion

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> 3.14-1mdv2007.1
+ Revision: 94583
- New version 3.14
  bunzip patches
  drop patch 2
- Import quota

* Thu Jan 05 2006 Stefan van der Eijk <stefan@eijk.nu> 3.13-2mdk
- rebuild

* Wed Aug 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 3.13-1mdk
- 3.13
- fix summary-ended-with-dot
- %%mkrel

* Thu Nov 11 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.12-1mdk
- 3.12
- sync with fedora

* Sun Aug 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 3.10-1mdk
- 3.10
- synced with fedora
- misc spec file fixes

